## gensio 2.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

cmake_policy(SET CMP0078 NEW) # For swig

project(gensio VERSION 2.5.1)
set (gensio_VERSION_STRING "${gensio_VERSION_MAJOR}.${gensio_VERSION_MINOR}.${gensio_VERSION_PATCH}")

include_directories("${PROJECT_BINARY_DIR}" "${PROJECT_SOURCE_DIR}/include"
                    "${PROJECT_BINARY_DIR}/include" )

include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckCSourceCompiles)
include(GNUInstallDirs)
include(FindPkgConfig)
include(FindTCL)

if (WIN32)
  # Suppress packing error warnings, as they are ubiquitous and don't matter.
  set (CMAKE_C_FLAGS "/wd4820")
  set (CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/output")
else()
  set (CMAKE_C_FLAGS "-Wall")
endif()
option(BUILD_SHARED_LIBS "Build using shared libraries" ON)
option(ALSOSTATIC "When buiding a shared library, build a static one, too")

option(ENABLE_TCP_WRAPPERS "Enable tcpwrappers support" ON)
if(ENABLE_TCP_WRAPPERS)
  CHECK_INCLUDE_FILE(tcpd.h HAVE_TCPD_H)
  if(HAVE_TCPD_H)
    list(APPEND EXTRA_LIBS wrap)
   endif()
endif()

option(ENABLE_PTHREADS "Enable pthreads" ON)
set(USE_PTHREADS 0)
if(ENABLE_PTHREADS)
  CHECK_LIBRARY_EXISTS(pthread "pthread_create" "" PTHREAD_LIB_FOUND)
  CHECK_INCLUDE_FILE(pthread.h PTHREAD_INC_FOUND)
  if(PTHREAD_LIB_FOUND AND PTHREAD_INC_FOUND)
    set(USE_PTHREADS 1)
    list(APPEND EXTRA_LIBS pthread)
  endif()
endif()

option(ENABLE_EPOLL "Enable epoll support" ON)
if(ENABLE_EPOLL)
  CHECK_INCLUDE_FILE(sys/epoll.h HAVE_EPOLL_PWAIT)
endif()

# Currently only support glib on Unix
option(ENABLE_GLIB "Enable GLIB support" ${UNIX})
if(ENABLE_GLIB)
  pkg_check_modules(GLIB glib-2.0)
  if(GLIB_FOUND)
    set(HAVE_GLIB ON)
    set(GLIB_LIB gensioglib)
    set(GLIB_LIBS -lglib-2.0)
  endif()
endif()

set(TCL_LIBS )
option(ENABLE_TCL "Enable TCL support" ON)
if(ENABLE_TCL)
  if(TCL_FOUND)
    set(HAVE_TCL ON)
    set(TCL_LIB gensiotcl)
    set(TCL_LIBS ${TCL_LIBRARY})
  endif()
endif()

option(ENABLE_OPENIPMI "Enable OpenIPMI serial over LAN support" ON)
if(ENABLE_OPENIPMI)
  CHECK_LIBRARY_EXISTS(OpenIPMI "ipmi_alloc_os_handler" "" OPENIPMI_LIB_FOUND)
  CHECK_INCLUDE_FILE(OpenIPMI/ipmiif.h OPENIPMI_INC_FOUND)
  if(OPENIPMI_LIB_FOUND AND OPENIPMI_INC_FOUND)
    set(HAVE_OPENIPMI 1)
    if(USE_PTHREADS)
      list(APPEND EXTRA_LIBS OpenIPMI OpenIPMIpthread OpenIPMIutils)
    else()
      list(APPEND EXTRA_LIBS OpenIPMI OpenIPMIposix OpenIPMIutils)
    endif()
  endif()
endif()

option(ENABLE_OPENSSL "Enable openssl" ON)
set(HAVE_OPENSSL 0)
if(ENABLE_OPENSSL)
  CHECK_LIBRARY_EXISTS(ssl "SSL_connect" "" SSL_LIB_FOUND)
  CHECK_LIBRARY_EXISTS(crypto "X509_verify_cert" "" CRYPTO_LIB_FOUND)
  CHECK_INCLUDE_FILE(openssl/ssl.h SSL_INC_FOUND)
  CHECK_INCLUDE_FILE(openssl/x509.h CRYPTO_INC_FOUND)
  if(SSL_LIB_FOUND AND SSL_INC_FOUND AND CRYPTO_LIB_FOUND AND CRYPTO_INC_FOUND)
    set(HAVE_OPENSSL 1)
    list(APPEND EXTRA_LIBS ssl crypto)
  endif()
endif()

option(ENABLE_MDNS "Enable MDNS" ON)
set(HAVE_AVAHI 0)
if(ENABLE_MDNS)
  CHECK_LIBRARY_EXISTS(avahi-client "avahi_client_new" "" AVAHI_CLI_LIB_FOUND)
  CHECK_LIBRARY_EXISTS(avahi-common "avahi_malloc" "" AVAHI_COM_LIB_FOUND)
  CHECK_INCLUDE_FILE(avahi-client/client.h AVAHI_CLI_INC_FOUND)
  CHECK_INCLUDE_FILE(avahi-common/malloc.h AVAHI_COM_INC_FOUND)
  if(AVAHI_CLI_LIB_FOUND AND AVAHI_CLI_INC_FOUND AND AVAHI_COM_LIB_FOUND AND AVAHI_COM_INC_FOUND)
    set(HAVE_AVAHI 1)
    list(APPEND EXTRA_LIBS avahi-client avahi-common)
  endif()
endif()

option(ENABLE_SWIG "Enable swig support" ON)
if(ENABLE_SWIG)
  find_package(SWIG)
endif()

option(ENABLE_PYTHON "Enable python support" ON)
if(ENABLE_PYTHON)
  set (Python_ADDITIONAL_VERSIONS 3 2)
  find_package(PythonInterp)
  find_package(PythonLibs)
  # FIXME - we are assuming this for now.
  option(PYTHON_HAS_THREADS "Support threading in python" ON)
endif()

option(ENABLE_SCTP "Enable SCTP support" ON)
if(ENABLE_SCTP)
  CHECK_LIBRARY_EXISTS(sctp "sctp_bindx" "" HAVE_LIBSCTP)
  if (HAVE_LIBSCTP)
    list(APPEND EXTRA_LIBS sctp)
  endif()
endif()
if(HAVE_LIBSCTP)
  CHECK_LIBRARY_EXISTS(sctp "sctp_sendv" "" HAVE_SCTP_SENDV)
endif()

string(COMPARE EQUAL "${CMAKE_HOST_SYSTEM_NAME}" "Linux" HAVE_WORKING_PORT0)

CHECK_LIBRARY_EXISTS(pam "pam_start" "" HAVE_PAM)

check_symbol_exists(TIOCSRS485 sys/ioctl.h HAVE_DECL_TIOCSRS485)
check_symbol_exists(SIGWINCH signal.h HAVE_DECL_SIGWINCH)

CHECK_INCLUDE_FILE(sys/un.h HAVE_UNIX)

option(USE_FILE_STDIO "Use stdio instead of unix files for the file gensio"
       ${MSVC})

option(ENABLE_INTERNAL_TRACE
       "Enable internal trace tools, required for oomtest"
       OFF)

set (prefix "${CMAKE_INSTALL_PREFIX}")
set (exec_prefix "${CMAKE_INSTALL_PREFIX}")
set (libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
set (includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
set (VERSION "${PROJECT_VERSION}")

check_c_source_compiles("int main()
{
	static int counter = 0;
	int val;

	__atomic_load(&counter, &val, __ATOMIC_SEQ_CST);
	return val;
}" HAVE_GCC_ATOMICS)

check_symbol_exists(sendmsg sys/socket.h HAVE_SENDMSG)
check_symbol_exists(recvmsg sys/socket.h HAVE_RECVMSG)
check_symbol_exists(isatty unistd.h HAVE_ISATTY)
check_symbol_exists(strcasecmp string.h HAVE_STRCASECMP)
check_symbol_exists(strncasecmp string.h HAVE_STRNCASECMP)
check_symbol_exists(prctl sys/prctl.h HAVE_PRCTL)
check_symbol_exists(getrandom sys/random.h HAVE_GETRANDOM_FUNC)
set (CMAKE_REQUIRED_DEFINITIONS "-D_GNU_SOURCE")
check_symbol_exists(ptsname_r "stdlib.h" HAVE_PTSNAME_R)
check_symbol_exists(cfmakeraw "termios.h" HAVE_CFMAKERAW)
check_symbol_exists(signalfd "signalfd.h" HAVE_SIGNALFD)
check_symbol_exists(regexec "regex.h" HAVE_REGEXEC)
check_symbol_exists(fnmatch "fnmatch.h" HAVE_FNMATCH)

if (${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Darwin")
  set(APPLE ON)
else()
  set(APPLE OFF)
endif()

if (${UNIX})
  if (${APPLE})
    set(DEF_UUCP_LOCKING OFF)
  else()
    set(DEF_UUCP_LOCKING ON)
  endif()
else()
  set(DEF_UUCP_LOCKING OFF)
endif()
if (${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Linux")
  set(UUCP_LOCK_DIR "/var/lock")
else()
  set(UUCP_LOCK_DIR "/var/spool/lock")
endif()
option(USE_UUCP_LOCKING "Enable UUCP lock file handling for devices"
       ${DEF_UUCP_LOCKING})

if(UNIX)
  set(HAVE_PTY 1)
else()
  set(HAVE_PTY 1)
  list(APPEND EXTRA_LIBS ws2_32 bcrypt Iphlpapi secur32 userenv wtsapi32)
endif()

configure_file(config.h.cmake config.h)

add_subdirectory(lib)
add_subdirectory(c++)
if(HAVE_GLIB)
  add_subdirectory(glib)
endif()
if(HAVE_TCL)
  add_subdirectory(tcl)
endif()
add_subdirectory(include)
add_subdirectory(tools)
add_subdirectory(examples)
if(SWIG_FOUND)
  add_subdirectory(swig)
endif()
add_subdirectory(man)
add_subdirectory(tests)

set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME
  "${CMAKE_PROJECT_NAME}-${gensio_VERSION_MAJOR}.${gensio_VERSION_MINOR}.${gensio_VERSION_PATCH}")
set(CPACK_SOURCE_IGNORE_FILES "/.git/;/Z.*/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== c++/CMakeLists.txt ===

add_subdirectory(include)
add_subdirectory(lib)
add_subdirectory(tests)
add_subdirectory(examples)
add_subdirectory(swig)

=== glib/CMakeLists.txt ===

set(LIBFILES gensio_glib.c)

add_library(gensioglib ${LIBFILES})
if(BUILD_SHARED_LIBS AND ALSOSTATIC)
  add_library(gensioglib-static STATIC ${LIBFILES})
  SET_TARGET_PROPERTIES(gensioglib-static PROPERTIES OUTPUT_NAME gensioglib
                        CLEAN_DIRECT_OUTPUT 1)
  install(TARGETS gensioglib-static DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()
target_link_libraries(gensioglib ${EXTRA_LIBS})
set_property(TARGET gensioglib PROPERTY VERSION 0.0.0)
set_property(TARGET gensioglib PROPERTY SOVERSION 0)

install(TARGETS gensioglib DESTINATION ${CMAKE_INSTALL_LIBDIR} EXPORT gensioglib)
install(EXPORT gensioglib FILE gensioglib.cmake DESTINATION lib/cmake/gensio)
set_target_properties(gensioglib PROPERTIES COMPILE_FLAGS
                      "-DBUILDING_GENSIO_DLL")
if (WIN32)
  # Stick this in the directories so Windows can find it when running
  # gensiot and oomtest.  Probably not right, but works for now.
  install(TARGETS gensio DESTINATION bin)
endif()
target_include_directories(gensioglib
                           INTERFACE
                            $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
                            $<INSTALL_INTERFACE:include>
                           )
target_include_directories(gensioglib PUBLIC ${GLIB_INCLUDE_DIRS})
include_directories("include")

add_subdirectory(c++)
if(SWIG_FOUND)
  add_subdirectory(swig)
endif()

configure_file(libgensioglib.pc.in libgensioglib.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libgensioglib.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

install(FILES gensio_glib_funcs_alloc.3 DESTINATION
        ${CMAKE_INSTALL_FULL_MANDIR}/man8)

=== man/CMakeLists.txt ===

install(FILES gensio.5 DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man5)

install(FILES gensio_event.3 str_to_gensio.3 gensio_set_callback.3
	gensio_set_log_mask.3 gensio_os_funcs.3 gensio_err.3 gensio_write.3
	gensio_open.3 gensio_alloc_channel.3 gensio_close.3 gensio_control.3
	gensio_set_read_callback_enable.3 gensio_get_type.3 gensio_set_sync.3
	gensio_accepter_event.3 gensio_acc_set_callback.3
	gensio_acc_shutdown.3 gensio_acc_set_accept_callback_enable.3
	gensio_acc_control.3 gensio_acc_get_type.3 gensio_add_default.3
	str_to_gensio_accepter.3 gensio_acc_accept_s.3 gensio_acc_startup.3
	gensio_mdns.3 sergensio.5 gensio_to_sergensio.3 sergensio_baud.3
	sergensio_b_alloc.3 sergensio_event.3 gensio_mdns.3
	DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man3)

macro(install_man3_symlink filepath sympath)
    install(CODE "execute_process(COMMAND sh -c \"${CMAKE_COMMAND} -E create_symlink ${filepath} $DESTDIR${CMAKE_INSTALL_FULL_MANDIR}/man3/${sympath}\")")
    install(CODE "message(\"-- Created symlink: ${sympath} -> ${filepath}\")")
endmacro(install_man3_symlink)

install_man3_symlink(str_to_gensio.3 str_to_gensio_child.3)
install_man3_symlink(str_to_gensio.3 gensio_acc_str_to_gensio.3)
install_man3_symlink(gensio_set_callback.3 gensio_set_user_data.3)
install_man3_symlink(gensio_set_callback.3 gensio_get_user_data.3)
install_man3_symlink(gensio_set_log_mask.3 gensio_get_log_mask.3)
install_man3_symlink(gensio_set_log_mask.3 gensio_log_level_to_str.3)
install_man3_symlink(gensio_set_log_mask.3 gensio_vlog.3)
install_man3_symlink(gensio_set_log_mask.3 gensio_log.3)
install_man3_symlink(gensio_os_funcs.3 gensio_default_os_hnd.3)
install_man3_symlink(gensio_os_funcs.3 gensio_unix_funcs_alloc.3)
install_man3_symlink(gensio_os_funcs.3 gensio_win_funcs_alloc.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_setup.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_cleanup.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_unix_get_wait_sigset.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_new_thread.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_wait_thread.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_register_term_handler.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_register_reload_handler.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_winsize_handler.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_zalloc.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_zfree.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_alloc_lock.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free_lock.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_lock.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_unlock.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_get_monotonic_time.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_alloc_timer.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free_timer.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_start_timer.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_start_timer_abs.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_stop_timer.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_stop_timer_with_done.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_alloc_runner.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free_runner.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_run.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_set_vlog.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_service.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_handle_fork.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_alloc_waiter.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free_waiter.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_wait.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_wait_intr.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_wait_intr_sigmask.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_wake.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_set_data.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_get_data.3)
install_man3_symlink(gensio_err.3 gensio_err_to_str.3)
install_man3_symlink(gensio_write.3 gensio_write_sg.3)
install_man3_symlink(gensio_open.3 gensio_open_s.3)
install_man3_symlink(gensio_open.3 gensio_open_nochild.3)
install_man3_symlink(gensio_open.3 gensio_open_nochild_s.3)
install_man3_symlink(gensio_close.3 gensio_close_s.3)
install_man3_symlink(gensio_close.3 gensio_disable.3)
install_man3_symlink(gensio_close.3 gensio_free.3)
install_man3_symlink(gensio_set_read_callback_enable.3
		     gensio_set_write_callback_enable.3)
install_man3_symlink(gensio_get_type.3 gensio_get_child.3)
install_man3_symlink(gensio_get_type.3 gensio_is_client.3)
install_man3_symlink(gensio_get_type.3 gensio_is_reliable.3)
install_man3_symlink(gensio_get_type.3 gensio_is_packet.3)
install_man3_symlink(gensio_get_type.3 gensio_is_message.3)
install_man3_symlink(gensio_get_type.3 gensio_is_authenticated.3)
install_man3_symlink(gensio_get_type.3 gensio_is_encrypted.3)
install_man3_symlink(gensio_set_sync.3 gensio_clear_sync.3)
install_man3_symlink(gensio_set_sync.3 gensio_read_s.3)
install_man3_symlink(gensio_set_sync.3 gensio_write_s.3)
install_man3_symlink(str_to_gensio_accepter.3 str_to_gensio_accepter_child.3)
install_man3_symlink(gensio_acc_set_callback.3 gensio_acc_set_user_data.3)
install_man3_symlink(gensio_acc_set_callback.3 gensio_acc_get_user_data.3)
install_man3_symlink(gensio_acc_shutdown.3 gensio_acc_shutdown_s.3)
install_man3_symlink(gensio_acc_shutdown.3 gensio_acc_disable.3)
install_man3_symlink(gensio_acc_shutdown.3 gensio_acc_free.3)
install_man3_symlink(gensio_acc_set_accept_callback_enable.3
		     gensio_acc_set_accept_callback_enable_cb.3)
install_man3_symlink(gensio_acc_set_accept_callback_enable.3
		     gensio_acc_set_accept_callback_enable_s.3)
install_man3_symlink(gensio_acc_get_type.3 gensio_acc_is_reliable.3)
install_man3_symlink(gensio_acc_get_type.3 gensio_acc_is_packet.3)
install_man3_symlink(gensio_acc_get_type.3 gensio_acc_is_message.3)
install_man3_symlink(gensio_add_default.3 gensio_set_default.3)
install_man3_symlink(gensio_add_default.3 gensio_get_default.3)
install_man3_symlink(gensio_add_default.3 gensio_get_defaultaddr.3)
install_man3_symlink(gensio_add_default.3 gensio_del_default.3)
install_man3_symlink(gensio_add_default.3 gensio_reset_defaults.3)
install_man3_symlink(gensio_acc_accept_s.3 gensio_acc_set_sync.3)
install_man3_symlink(gensio_mdns.3 gensio_alloc_mdns.3)
install_man3_symlink(gensio_mdns.3 gensio_free_mdns.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_add_service.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_remove_service.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_add_watch.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_remove_watch.3)
install_man3_symlink(gensio_to_sergensio.3 sergensio_to_gensio.3)
install_man3_symlink(gensio_to_sergensio.3 sergensio_get_user_data.3)
install_man3_symlink(gensio_to_sergensio.3 sergensio_is_client.3)
install_man3_symlink(sergensio_baud.3 sergensio_datasize.3)
install_man3_symlink(sergensio_baud.3 sergensio_parity.3)
install_man3_symlink(sergensio_baud.3 sergensio_stopbits.3)
install_man3_symlink(sergensio_baud.3 sergensio_flowcontrol.3)
install_man3_symlink(sergensio_baud.3 sergensio_iflowcontrol.3)
install_man3_symlink(sergensio_baud.3 sergensio_sbreak.3)
install_man3_symlink(sergensio_baud.3 sergensio_dtr.3)
install_man3_symlink(sergensio_baud.3 sergensio_rts.3)
install_man3_symlink(sergensio_baud.3 sergensio_signature.3)
install_man3_symlink(sergensio_baud.3 sergensio_linestate.3)
install_man3_symlink(sergensio_baud.3 sergensio_modemstate.3)
install_man3_symlink(sergensio_baud.3 sergensio_flowcontrol_state.3)
install_man3_symlink(sergensio_baud.3 sergensio_flush.3)
install_man3_symlink(sergensio_baud.3 sergensio_send_break.3)
install_man3_symlink(sergensio_baud.3 sergensio_cts.3)
install_man3_symlink(sergensio_baud.3 sergensio_dcd_dsr.3)
install_man3_symlink(sergensio_baud.3 sergensio_ri.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_b_free.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_baud_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_datasize_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_parity_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_stopbits_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_flowcontrol_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_iflowcontrol_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_sbreak_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_dtr_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_rts_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_cts_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_dcd_dsr_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_ri_b.3)
install_man3_symlink(gensio_mdns.3 gensio_alloc_mdns.3)
install_man3_symlink(gensio_mdns.3 gensio_free_mdns.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_add_service.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_remove_service.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_add_watch.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_remove_watch.3)

=== tcl/CMakeLists.txt ===

set(LIBFILES gensio_tcl.c)

add_library(gensiotcl ${LIBFILES})
if(BUILD_SHARED_LIBS AND ALSOSTATIC)
  add_library(gensiotcl-static STATIC ${LIBFILES})
  SET_TARGET_PROPERTIES(gensiotcl-static PROPERTIES OUTPUT_NAME gensiotcl
                        CLEAN_DIRECT_OUTPUT 1)
  install(TARGETS gensiotcl-static DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()
target_link_libraries(gensiotcl ${TCL_LIBRARY})
set_property(TARGET gensiotcl PROPERTY VERSION 0.0.0)
set_property(TARGET gensiotcl PROPERTY SOVERSION 0)

install(TARGETS gensiotcl DESTINATION ${CMAKE_INSTALL_LIBDIR} EXPORT gensiotcl)
install(EXPORT gensiotcl FILE gensiotcl.cmake DESTINATION lib/cmake/gensio)
set_target_properties(gensiotcl PROPERTIES COMPILE_FLAGS
                      "-DBUILDING_GENSIO_DLL")
if (WIN32)
  # Stick this in the directories so Windows can find it when running
  # gensiot and oomtest.  Probably not right, but works for now.
  install(TARGETS gensio DESTINATION bin)
endif()
target_include_directories(gensiotcl
                           INTERFACE
                            $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
                            $<INSTALL_INTERFACE:include>
                           )
target_include_directories(gensiotcl PUBLIC ${TCL_INCLUDE_PATH})
include_directories("include")

add_subdirectory(c++)
if(SWIG_FOUND)
  add_subdirectory(swig)
endif()

configure_file(libgensiotcl.pc.in libgensiotcl.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libgensiotcl.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

install(FILES gensio_tcl_funcs_alloc.3 DESTINATION
        ${CMAKE_INSTALL_FULL_MANDIR}/man8)

=== c++/lib/CMakeLists.txt ===

include_directories("${PROJECT_SOURCE_DIR}/c++/include")

set(CPPLIBFILES gensio.cc)

add_library(gensiocpp ${CPPLIBFILES})
target_link_libraries(gensiocpp gensio)
set_target_properties(gensiocpp PROPERTIES COMPILE_FLAGS "-DBUILDING_GENSIOCPP_DLL")
if(BUILD_SHARED_LIBS AND ALSOSTATIC)
  add_library(gensiocpp-static STATIC ${CPPLIBFILES})
  SET_TARGET_PROPERTIES(gensiocpp-static PROPERTIES OUTPUT_NAME gensiocpp
                        CLEAN_DIRECT_OUTPUT 1)
  install(TARGETS gensiocpp-static DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()
set_property(TARGET gensiocpp PROPERTY VERSION 1.1.0)
set_property(TARGET gensiocpp PROPERTY SOVERSION 1)
install(TARGETS gensiocpp DESTINATION ${CMAKE_INSTALL_LIBDIR} EXPORT gensiocpp)
configure_file(libgensiocpp.pc.in libgensiocpp.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libgensiocpp.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== glib/c++/CMakeLists.txt ===
add_subdirectory(include)
add_subdirectory(tests)

=== include/gensio/CMakeLists.txt ===
install(FILES gensio.h gensio_class.h sergensio.h sergensio_class.h
        gensio_addr.h gensio_unix.h gensio_base.h gensio_acc_gensio.h
	gensio_ll_fd.h gensio_ll_gensio.h selector.h argvutils.h
	gensio_os_funcs.h gensio_err.h gensio_builtins.h gensio_osops.h
	gensio_list.h gensio_dllvisibility.h
	gensio_deprecated.h gensio_mdns.h gensio_types.h
	gensio_osops_addrinfo.h gensio_osops_stdsock.h gensio_circbuf.h
	gensio_selector.h gensio_win.h gensio_osops_env.h
	gensio_os_funcs_public.h gensio_control.h
	DESTINATION include/gensio)

configure_file(gensio_version.h.in gensio_version.h)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gensio_version.h
        DESTINATION include/gensio)

=== c++/swig/pygensio/CMakeLists.txt ===
set(SWIG_EXTRA_FLAGS -py3 -c++)
include_directories(${PYTHON_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}
  "${PROJECT_SOURCE_DIR}/c++/include"
  "${PROJECT_SOURCE_DIR}/c++/swig/include"
  "${PROJECT_SOURCE_DIR}/c++/swig/pygensio"
  "${PROJECT_SOURCE_DIR}/c++/swig/pygensio/include"
)
set(CMAKE_SWIG_FLAGS -I${CMAKE_CURRENT_SOURCE_DIR} ${SWIG_EXTRA_FLAGS})
set_property(SOURCE pygensio.i PROPERTY CPLUSPLUS ON)
swig_add_library(_pygensio LANGUAGE python SOURCES pygensio.i)
swig_link_libraries(_pygensio gensiocpp gensio gensioglib)
set_target_properties(_pygensio PROPERTIES LIBRARY_OUTPUT_NAME pygensio)

execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE)
set(PYTHON_INSTALL_SITE_PACKAGES ${PYTHON_SITE_PACKAGES} CACHE FILEPATH
    "The path to install Python packages to")
install(TARGETS _pygensio DESTINATION ${PYTHON_INSTALL_SITE_PACKAGES})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pygensio.py DESTINATION ${PYTHON_INSTALL_SITE_PACKAGES})

=== glib/c++/include/gensio/CMakeLists.txt ===
install(FILES gensioglib
	DESTINATION include/gensio)

=== glib/c++/swig/pygensio/CMakeLists.txt ===
if(PYTHON_VERSION_MAJOR EQUAL 3)
  set(SWIG_EXTRA_FLAGS -py3)
endif()
include_directories(${PYTHON_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}
  "${PROJECT_SOURCE_DIR}/c++/include"
  "${PROJECT_SOURCE_DIR}/c++/swig/pygensio"
  "${PROJECT_SOURCE_DIR}/glib/c++/include"
  "${PROJECT_SOURCE_DIR}/glib/include"
)
set(CMAKE_SWIG_FLAGS -I${CMAKE_CURRENT_SOURCE_DIR} ${SWIG_EXTRA_FLAGS})
swig_add_library(_pygensioglib LANGUAGE python SOURCES ../pygensioglib.i)
swig_link_libraries(_pygensioglib gensiocpp gensio gensioglib)
set_target_properties(_pygensioglib PROPERTIES LIBRARY_OUTPUT_NAME pygensioglib)

execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE)
set(PYTHON_INSTALL_SITE_PACKAGES ${PYTHON_SITE_PACKAGES} CACHE FILEPATH
    "The path to install Python packages to")
install(TARGETS _pygensioglib DESTINATION ${PYTHON_INSTALL_SITE_PACKAGES})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pygensioglib.py DESTINATION ${PYTHON_INSTALL_SITE_PACKAGES})

=== tcl/c++/include/gensio/CMakeLists.txt ===
install(FILES gensiotcl
	DESTINATION include/gensio)

=== debian/changelog ===
gensio (2.5.1-2build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:47:22 +0000

gensio (2.5.1-2) unstable; urgency=medium

  * architecture specific adaptions for symbols file
  * override long line lintian warning
  * clean up examples cruft before installation
    (unreproducible contents)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 11 Aug 2022 12:41:47 +0200

gensio (2.5.1-1) unstable; urgency=medium

  * new upstream version 2.5.1
  * Standards-Version: 4.6.1 (no changes necessary)
  * add symbols file for libraries
  * greflector in gensio-bin needs python

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 11 Aug 2022 12:14:19 +0200

=== debian/control ===
Source: gensio
Priority: optional
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-dev,
 pkg-config, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
 libpam-dev, libsctp-dev, libavahi-client-dev
Standards-Version: 4.6.1
Section: libs
Homepage: https://github.com/cminyard/gensio
Vcs-Browser: https://salsa.debian.org/debian/gensio
Vcs-Git: https://salsa.debian.org/debian/gensio.git
Rules-Requires-Root: no

Package: libgensio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgensio0 (= ${binary:Version}), ${misc:Depends}
Description: abstract stream I/O (development files)
 This library (pronounced gen'-see-oh) is used to abstract stream I/O
 like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
 framework for giving a consistent view of various stream (and packet)
 I/O types. You create a gensio object (or a gensio), and you can use
 that gensio without having to know too much about what is going on
 underneath. You can stack gensio on top of another one to add protocol
 funcionality. For instance, you can create a TCP gensio, stack SSL on
 top of that, and stack Telnet on top of that. It supports a number of
 network I/O and serial ports.  Gensio can be used for sending and
 receiving ports, and it also supports establishing encrypted and
 authenticated connections.
 .
 This package contains the development headers and static libraries.

Package: libgensio0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: abstract stream I/O (runtime files)
 This library (pronounced gen'-see-oh) is used to abstract stream I/O
 like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
 framework for giving a consistent view of various stream (and packet)
 I/O types. You create a gensio object (or a gensio), and you can use
 that gensio without having to know too much about what is going on
 underneath. You can stack gensio on top of another one to add protocol
 funcionality. For instance, you can create a TCP gensio, stack SSL on
 top of that, and stack Telnet on top of that. It supports a number of
 network I/O and serial ports.  Gensio can be used for sending and
 receiving ports, and it also supports establishing encrypted and
 authenticated connections.
 .
 This package contains the shared libraries.

Package: python3-gensio
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: abstract stream I/O (Python 3 bindings)
 This library (pronounced gen'-see-oh) is used to abstract stream I/O
 like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
 framework for giving a consistent view of various stream (and packet)
 I/O types. You create a gensio object (or a gensio), and you can use
 that gensio without having to know too much about what is going on
 underneath. You can stack gensio on top of another one to add protocol
 funcionality. For instance, you can create a TCP gensio, stack SSL on
 top of that, and stack Telnet on top of that. It supports a number of
 network I/O and serial ports.  Gensio can be used for sending and
 receiving ports, and it also supports establishing encrypted and
 authenticated connections.
 .
 This package contains the Python 3 bindings.

Package: gensio-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: abstract stream I/O (command line tool)
 This library (pronounced gen'-see-oh) is used to abstract stream I/O
 like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
 framework for giving a consistent view of various stream (and packet)
 I/O types. You create a gensio object (or a gensio), and you can use
 that gensio without having to know too much about what is going on
 underneath. You can stack gensio on top of another one to add protocol
 funcionality. For instance, you can create a TCP gensio, stack SSL on
 top of that, and stack Telnet on top of that. It supports a number of
 network I/O and serial ports.  Gensio can be used for sending and
 receiving ports, and it also supports establishing encrypted and
 authenticated connections.
 .
 This package contains the command line tool.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
# -Wl is the default starting bullseye. Can be removed once bullseye is
#  the oldest supported release
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --with-tcp-wrappers \
		--with-openssl \
		--with-avahi \
		--with-swig \
		--with-python

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tests/__pycache__

execute_after_dh_installexamples:
	rm -rf \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/*.o \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/.libs \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/Makefile \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_client \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync_fork
	mkdir debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++
	cp c++/examples/* debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++
	rm -rf \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/*.o \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/Makefile \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/mdns \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_client \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_server

# disable the upstream tests, they depend on an out-of-tree kernel module
override_dh_auto_test:
	true

## gensio 2.6.2

=== debian/changelog ===
gensio (2.6.2-4) unstable; urgency=medium

  * Apply patch removing duplicate symbols and making symbols optional.
    Thanks to Graham Inggs (Closes: #1031204)
  * gensio-bin: add missing Breaks+Replaces for libgensio-dev.
    Thanks to Helmut Grohne (Closes: #1034976)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 09 May 2023 21:27:59 +0200

gensio (2.6.2-3) unstable; urgency=medium

  * fix double symbol for ppc64el

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 28 Jan 2023 08:29:04 +0100

gensio (2.6.2-2) unstable; urgency=medium

  * fix libgensio4.symbols according to failed build logs

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 27 Jan 2023 07:57:25 +0100

gensio (2.6.2-1) unstable; urgency=low

  * New upstream version 2.6.2 (Closes: #1026667)
  * rename libgensio0 to libgensio4
  * move gensio.5 manpage to bin package.
    Thanks to John Goerzen (Closes: #1013452)
  * relay python-dependencies of gensio-bin to recommends.
    Fixing of #1017001 has made this possible
  * Standards-Version: 4.6.2 (no changes necessary)
  * Remove obsolete Provides from python3-gensio.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 15 Jan 2023 15:44:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-dev,
  pkg-config, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
  libpam-dev, libsctp-dev, libavahi-client-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/cminyard/gensio
 Vcs-Browser: https://salsa.debian.org/debian/gensio
@@ -15,7 +15,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgensio0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgensio4 (= ${binary:Version}), ${misc:Depends}
 Description: abstract stream I/O (development files)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
@@ -31,7 +31,7 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libgensio0
+Package: libgensio4
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -54,7 +54,6 @@
 Section: python
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Provides: ${python3:Provides}
 Description: abstract stream I/O (Python 3 bindings)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
@@ -72,7 +71,10 @@
 
 Package: gensio-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ${python3:Depends}, python3-gensio
+Replaces: libgensio0 (<< 2.6.2-4~), libgensio-dev (<< 2.6.2-4~)
+Breaks: libgensio0 (<< 2.6.2-4~), libgensio-dev (<< 2.6.2-4~)
 Description: abstract stream I/O (command line tool)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -23,7 +25,8 @@
 		--with-openssl \
 		--with-avahi \
 		--with-swig \
-		--with-python
+		--with-python \
+		--libexecdir=/usr/libexec/${DEB_HOST_MULTIARCH}/
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -47,6 +50,12 @@
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_client \
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_server
 
+execute_after_dh_fixperms:
+	chmod 644 debian/libgensio4/usr/libexec/*/gensio/*/libgensio*.so
+
+override_dh_makeshlibs:
+	dh_makeshlibs -a --exclude=libexec
+
 # disable the upstream tests, they depend on an out-of-tree kernel module
 override_dh_auto_test:
 	true

## gensio 2.6.6

=== debian/changelog ===
gensio (2.6.6-6) unstable; urgency=medium

  * hopefully final version of symbols file

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Jul 2023 07:15:11 +0200

gensio (2.6.6-5) unstable; urgency=medium

  * fix stupid typo in symbols file

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Jul 2023 04:07:43 +0200

gensio (2.6.6-4) unstable; urgency=medium

  * adapt symbols file again

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Jul 2023 01:16:50 +0200

gensio (2.6.6-3) unstable; urgency=medium

  * bump version for gensios::gensio_cpp_vlog_handler (changed signature?)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Jul 2023 00:04:14 +0200

gensio (2.6.6-2) unstable; urgency=medium

  * adapt symbols file to first buildd run

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 02 Jul 2023 22:41:09 +0200

gensio (2.6.6-1) unstable; urgency=medium

  * new upstream version 2.6.6

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 02 Jul 2023 18:36:42 +0200

## gensio 2.8.2

=== debian/changelog ===
gensio (2.8.2-6.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:40:46 +0000

gensio (2.8.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062097

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:45:44 +0000

gensio (2.8.2-6) unstable; urgency=medium

  * Decleare a breaks and replaces on libgensio4, preventing issues on upgrade.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 15 Feb 2024 07:15:52 -0600

gensio (2.8.2-5) unstable; urgency=medium

  * Revert 64-bit time_t patch by request of submitter.
    Closes: #1062097.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 05 Feb 2024 18:18:02 -0600

gensio (2.8.2-4) unstable; urgency=medium

  * Apply patch from Lukas Märdian to rename libraries for 64-bit time_t
    transition.  Closes: #1062097.
  * Apply patch from Matthias Klose to mark symbols not seen building
    with -O3 as optional.  Closes: #1061614.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 05 Feb 2024 00:18:56 -0600

gensio (2.8.2-3.1) experimental; urgency=medium

  * Non-maintainer upload.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 10:50:57 +0000

gensio (2.8.2-3) unstable; urgency=medium

  * Additional symbol updates from buildd logs

 -- John Goerzen <jgoerzen@complete.org>  Fri, 26 Jan 2024 20:12:02 -0600

gensio (2.8.2-2) unstable; urgency=medium

  * Update symbols for additional archs, using
    https://qt-kde-team.pages.debian.net/symbolfiles.html

 -- John Goerzen <jgoerzen@complete.org>  Fri, 26 Jan 2024 17:18:04 -0600

gensio (2.8.2-1) unstable; urgency=medium

  [ Marc Haber ]
  * Update symbols file for longarch64.  Closes: #1051842.

  [ John Goerzen ]
  * New upstream release.
  * Adding myself to uploaders with agreement of Marc Haber.
  * Adding build-dependencies on libglib2.0-dev, libudev-dev, and
    libasound2-dev to accommodate new gensio features.
  * Explicitly disable golang build in call to configure since it is not
    yet supported in the Debian packages.
  * Update Python install rules for new Python path
  * Update and simplify manpage install rules for new version
  * Change libgensio4 -> libgensio6 for upstream soname change

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Jan 2024 22:25:18 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: gensio
 Priority: optional
-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
+Uploaders: John Goerzen <jgoerzen@complete.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-python, swig, python3-dev,
  pkg-config, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
- libpam-dev, libsctp-dev, libavahi-client-dev
+ libpam-dev, libsctp-dev, libavahi-client-dev, libglib2.0-dev,
+ libudev-dev, libasound2-dev, pkg-kde-tools
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/cminyard/gensio
@@ -15,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgensio4 (= ${binary:Version}), ${misc:Depends}
+Depends: libgensio6t64 (= ${binary:Version}), ${misc:Depends}
 Description: abstract stream I/O (development files)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
@@ -31,10 +34,14 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libgensio4
+Package: libgensio6t64
+Provides: ${t64:Provides}
+Breaks: libgensio6 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgensio4
+Replaces: libgensio6, libgensio4
 Description: abstract stream I/O (runtime files)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a

## gensio 2.8.6

=== debian/changelog ===
gensio (2.8.6-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 05:24:40 +0100

gensio (2.8.6-1) unstable; urgency=medium

  * New upstream release.
  * ACK NMU.  Closes: #1062097.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 05 Sep 2024 07:04:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gensio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
+Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-python, swig, python3-dev,
- pkg-config, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
+ pkgconf, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
  libpam-dev, libsctp-dev, libavahi-client-dev, libglib2.0-dev,
  libudev-dev, libasound2-dev, pkg-kde-tools
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-tcp-wrappers \
@@ -26,6 +26,7 @@
 		--with-avahi \
 		--with-swig \
 		--with-python \
+		--with-go=no \
 		--libexecdir=/usr/libexec/${DEB_HOST_MULTIARCH}/
 
 override_dh_auto_clean:
@@ -51,7 +52,7 @@
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_server
 
 execute_after_dh_fixperms:
-	chmod 644 debian/libgensio4/usr/libexec/*/gensio/*/libgensio*.so
+	chmod 644 debian/libgensio6t64/usr/libexec/*/gensio/*/libgensio*.so
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a --exclude=libexec

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gensio-$1.tar.gz%" \
   https://github.com/cminyard/gensio/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## gensio 2.8.13

=== debian/changelog ===
gensio (2.8.13-7) unstable; urgency=medium

  * Symbols still.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 17:33:18 -0500

gensio (2.8.13-6) unstable; urgency=medium

  * Another symbols attempt

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 13:08:50 -0500

gensio (2.8.13-5) unstable; urgency=medium

  * Yet more symbols.  Sigh.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 12:34:51 -0500

gensio (2.8.13-4) unstable; urgency=medium

  * More symbols file update

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 10:26:26 -0500

gensio (2.8.13-3) unstable; urgency=medium

  * Update symbols file.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 08:45:51 -0500

gensio (2.8.13-2) unstable; urgency=medium

  * Update symbols file

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 08:03:49 -0500

gensio (2.8.13-1) unstable; urgency=medium

  * New upstream release
  * Apply patch to clean up more thoroughly.  Closes: #1070754.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 07:48:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gensio
 Priority: optional
-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
-Uploaders: John Goerzen <jgoerzen@complete.org>
+Maintainer: gensio Maintainers <gensio@packages.debian.org>
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>, John Goerzen <jgoerzen@complete.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-python, swig, python3-dev,
  pkgconf, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
  libpam-dev, libsctp-dev, libavahi-client-dev, libglib2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,9 @@
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_client \
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server \
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync \
-	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync_fork
+	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync_fork \
+	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/poll_and_gensio \
+	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/use_iods
 	mkdir debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++
 	cp c++/examples/* debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++
 	rm -rf \

## gensio 3.0.0

=== debian/changelog ===
gensio (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Upstream soname changed.  Changed from libgensio6t64 to libgensio14.
    Since libgensio14 never had a non-t64 version, dropping that from
    the package name.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Oct 2025 20:36:12 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgensio6t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libgensio14 (= ${binary:Version}), ${misc:Depends}
 Description: abstract stream I/O (development files)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
@@ -33,7 +33,7 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libgensio6t64
+Package: libgensio14
 Provides: ${t64:Provides}
 Breaks: libgensio6 (<< ${source:Version})
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_server
 
 execute_after_dh_fixperms:
-	chmod 644 debian/libgensio6t64/usr/libexec/*/gensio/*/libgensio*.so
+	chmod 644 debian/libgensio14/usr/libexec/*/gensio/*/libgensio*.so
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a --exclude=libexec
